;InnoSetupVersion=5.1.10

[Setup]
AppName=ExtractNow
AppVerName=ExtractNow
AppId=ExtractNow
AppPublisher=Nathan Moinvaziri
AppPublisherURL=http://www.extractnow.com/
AppSupportURL=http://www.extractnow.com/
AppUpdatesURL=http://www.extractnow.com/
DefaultDirName={pf}\ExtractNow
DefaultGroupName=ExtractNow
OutputBaseFilename=ExtractNow
Compression=lzma
PrivilegesRequired=none
DisableProgramGroupPage=yes
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\changelog.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\complete.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\incomplete.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\extractmenu.dll"; DestDir: "{app}"; Flags: restartreplace sharedfile uninsrestartdelete ignoreversion 
Source: "{app}\file.ico"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\extractnow.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\wimadll.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\unlha32.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\unacev2.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\extractnow.htm"; DestDir: "{app}"; Flags: ignoreversion 

[Run]
Filename: "{app}\extractnow.exe"; Parameters: "/registermenu"; Tasks: registermenu; Flags: shellexec nowait
Filename: "{app}\extractnow.exe"; Description: "Launch ExtractNow"; Flags: shellexec postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\extractnow.exe"; Parameters: "/uninstall"; 

[Icons]
Name: "{group}\ExtractNow"; Filename: "{app}\extractnow.exe"; 
Name: "{group}\ExtractNow on the Web"; Filename: "{app}\extractnow.htm"; 
Name: "{group}\Uninstall ExtractNow"; Filename: "{uninstallexe}"; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\ExtractNow"; Filename: "{app}\extractnow.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "quicklaunchicon"; Description: "Create an icon in the &Quick Launch bar"; GroupDescription: "Additional icons:"; 
Name: "registermenu"; Description: "Register explorer shell &context menu"; GroupDescription: "Additional tasks:"; 

[InstallDelete]
Type: files; Name: "{group}"; 
Type: files; Name: "{app}\website.url"; 
Type: files; Name: "{app}\todo.txt"; 
Type: files; Name: "{sendto}\EXTRAC~1.lnk"; 
Type: files; Name: "{sendto}\EXTRAC~2.lnk"; 

[UninstallDelete]
Type: files; Name: "{app}\website.url"; 
Type: files; Name: "{app}\debug.log"; 
Type: files; Name: "{app}\details.log"; 
Type: files; Name: "{app}\history.log"; 
Type: files; Name: "{sendto}\EXTRAC~1.lnk"; 
Type: files; Name: "{sendto}\EXTRAC~2.lnk"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
